### YamlMime:ManagedReference
items:
- uid: adas_core.Domain.Models.Responses.Response`1
  commentId: T:adas_core.Domain.Models.Responses.Response`1
  id: Response`1
  parent: adas_core.Domain.Models.Responses
  children:
  - adas_core.Domain.Models.Responses.Response`1.#ctor
  - adas_core.Domain.Models.Responses.Response`1.#ctor(`0)
  - adas_core.Domain.Models.Responses.Response`1.Data
  - adas_core.Domain.Models.Responses.Response`1.Errors
  - adas_core.Domain.Models.Responses.Response`1.Message
  - adas_core.Domain.Models.Responses.Response`1.Succeeded
  langs:
  - csharp
  - vb
  name: Response<T>
  nameWithType: Response<T>
  fullName: adas_core.Domain.Models.Responses.Response<T>
  type: Class
  source:
    remote:
      path: adas-core.Domain/Models/Responses/Response.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Response
    path: ../../adas-core.Domain/Models/Responses/Response.cs
    startLine: 6
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Responses
  summary: Represents a generic response wrapper that encapsulates a payload of type <code class="typeparamref">T</code> along with associated response metadata.
  example: []
  syntax:
    content: public class Response<T>
    typeParameters:
    - id: T
      description: The type of the payload contained within the response.
    content.vb: Public Class Response(Of T)
  inheritance:
  - System.Object
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
  extensionMethods:
  - System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  - System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  - System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  nameWithType.vb: Response(Of T)
  fullName.vb: adas_core.Domain.Models.Responses.Response(Of T)
  name.vb: Response(Of T)
- uid: adas_core.Domain.Models.Responses.Response`1.#ctor
  commentId: M:adas_core.Domain.Models.Responses.Response`1.#ctor
  id: '#ctor'
  parent: adas_core.Domain.Models.Responses.Response`1
  langs:
  - csharp
  - vb
  name: Response()
  nameWithType: Response<T>.Response()
  fullName: adas_core.Domain.Models.Responses.Response<T>.Response()
  type: Constructor
  source:
    remote:
      path: adas-core.Domain/Models/Responses/Response.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: .ctor
    path: ../../adas-core.Domain/Models/Responses/Response.cs
    startLine: 8
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Responses
  syntax:
    content: public Response()
    content.vb: Public Sub New()
  overload: adas_core.Domain.Models.Responses.Response`1.#ctor*
  nameWithType.vb: Response(Of T).New()
  fullName.vb: adas_core.Domain.Models.Responses.Response(Of T).New()
  name.vb: New()
- uid: adas_core.Domain.Models.Responses.Response`1.#ctor(`0)
  commentId: M:adas_core.Domain.Models.Responses.Response`1.#ctor(`0)
  id: '#ctor(`0)'
  parent: adas_core.Domain.Models.Responses.Response`1
  langs:
  - csharp
  - vb
  name: Response(T)
  nameWithType: Response<T>.Response(T)
  fullName: adas_core.Domain.Models.Responses.Response<T>.Response(T)
  type: Constructor
  source:
    remote:
      path: adas-core.Domain/Models/Responses/Response.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: .ctor
    path: ../../adas-core.Domain/Models/Responses/Response.cs
    startLine: 12
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Responses
  syntax:
    content: public Response(T data)
    parameters:
    - id: data
      type: '{T}'
    content.vb: Public Sub New(data As T)
  overload: adas_core.Domain.Models.Responses.Response`1.#ctor*
  nameWithType.vb: Response(Of T).New(T)
  fullName.vb: adas_core.Domain.Models.Responses.Response(Of T).New(T)
  name.vb: New(T)
- uid: adas_core.Domain.Models.Responses.Response`1.Data
  commentId: P:adas_core.Domain.Models.Responses.Response`1.Data
  id: Data
  parent: adas_core.Domain.Models.Responses.Response`1
  langs:
  - csharp
  - vb
  name: Data
  nameWithType: Response<T>.Data
  fullName: adas_core.Domain.Models.Responses.Response<T>.Data
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Responses/Response.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Data
    path: ../../adas-core.Domain/Models/Responses/Response.cs
    startLine: 20
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Responses
  syntax:
    content: public T? Data { get; set; }
    parameters: []
    return:
      type: '{T}'
    content.vb: Public Property Data As T
  overload: adas_core.Domain.Models.Responses.Response`1.Data*
  nameWithType.vb: Response(Of T).Data
  fullName.vb: adas_core.Domain.Models.Responses.Response(Of T).Data
- uid: adas_core.Domain.Models.Responses.Response`1.Succeeded
  commentId: P:adas_core.Domain.Models.Responses.Response`1.Succeeded
  id: Succeeded
  parent: adas_core.Domain.Models.Responses.Response`1
  langs:
  - csharp
  - vb
  name: Succeeded
  nameWithType: Response<T>.Succeeded
  fullName: adas_core.Domain.Models.Responses.Response<T>.Succeeded
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Responses/Response.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Succeeded
    path: ../../adas-core.Domain/Models/Responses/Response.cs
    startLine: 21
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Responses
  syntax:
    content: public bool? Succeeded { get; set; }
    parameters: []
    return:
      type: System.Nullable{System.Boolean}
    content.vb: Public Property Succeeded As Boolean?
  overload: adas_core.Domain.Models.Responses.Response`1.Succeeded*
  nameWithType.vb: Response(Of T).Succeeded
  fullName.vb: adas_core.Domain.Models.Responses.Response(Of T).Succeeded
- uid: adas_core.Domain.Models.Responses.Response`1.Errors
  commentId: P:adas_core.Domain.Models.Responses.Response`1.Errors
  id: Errors
  parent: adas_core.Domain.Models.Responses.Response`1
  langs:
  - csharp
  - vb
  name: Errors
  nameWithType: Response<T>.Errors
  fullName: adas_core.Domain.Models.Responses.Response<T>.Errors
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Responses/Response.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Errors
    path: ../../adas-core.Domain/Models/Responses/Response.cs
    startLine: 23
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Responses
  syntax:
    content: public string[]? Errors { get; set; }
    parameters: []
    return:
      type: System.String[]
    content.vb: Public Property Errors As String()
  overload: adas_core.Domain.Models.Responses.Response`1.Errors*
  nameWithType.vb: Response(Of T).Errors
  fullName.vb: adas_core.Domain.Models.Responses.Response(Of T).Errors
- uid: adas_core.Domain.Models.Responses.Response`1.Message
  commentId: P:adas_core.Domain.Models.Responses.Response`1.Message
  id: Message
  parent: adas_core.Domain.Models.Responses.Response`1
  langs:
  - csharp
  - vb
  name: Message
  nameWithType: Response<T>.Message
  fullName: adas_core.Domain.Models.Responses.Response<T>.Message
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Responses/Response.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Message
    path: ../../adas-core.Domain/Models/Responses/Response.cs
    startLine: 24
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Responses
  syntax:
    content: public string? Message { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property Message As String
  overload: adas_core.Domain.Models.Responses.Response`1.Message*
  nameWithType.vb: Response(Of T).Message
  fullName.vb: adas_core.Domain.Models.Responses.Response(Of T).Message
references:
- uid: adas_core.Domain.Models.Responses
  commentId: N:adas_core.Domain.Models.Responses
  href: adas_core.html
  name: adas_core.Domain.Models.Responses
  nameWithType: adas_core.Domain.Models.Responses
  fullName: adas_core.Domain.Models.Responses
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.Responses
    name: Responses
    href: adas_core.Domain.Models.Responses.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.Responses
    name: Responses
    href: adas_core.Domain.Models.Responses.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  parent: adas_core.Domain.Utils.ObjectUtils
  definition: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils
  commentId: T:adas_core.Domain.Utils.NumberUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.NumberUtils.html
  name: NumberUtils
  nameWithType: NumberUtils
  fullName: adas_core.Domain.Utils.NumberUtils
- uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils
  commentId: T:adas_core.Domain.Utils.ObjectUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.ObjectUtils.html
  name: ObjectUtils
  nameWithType: ObjectUtils
  fullName: adas_core.Domain.Utils.ObjectUtils
- uid: adas_core.Domain.Utils
  commentId: N:adas_core.Domain.Utils
  href: adas_core.html
  name: adas_core.Domain.Utils
  nameWithType: adas_core.Domain.Utils
  fullName: adas_core.Domain.Utils
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
- uid: adas_core.Domain.Models.Responses.Response`1.#ctor*
  commentId: Overload:adas_core.Domain.Models.Responses.Response`1.#ctor
  href: adas_core.Domain.Models.Responses.Response-1.html#adas_core_Domain_Models_Responses_Response_1__ctor
  name: Response
  nameWithType: Response<T>.Response
  fullName: adas_core.Domain.Models.Responses.Response<T>.Response
  nameWithType.vb: Response(Of T).New
  fullName.vb: adas_core.Domain.Models.Responses.Response(Of T).New
  name.vb: New
- uid: '{T}'
  commentId: '!:T'
  definition: T
  name: T
  nameWithType: T
  fullName: T
- uid: T
  name: T
  nameWithType: T
  fullName: T
- uid: adas_core.Domain.Models.Responses.Response`1.Data*
  commentId: Overload:adas_core.Domain.Models.Responses.Response`1.Data
  href: adas_core.Domain.Models.Responses.Response-1.html#adas_core_Domain_Models_Responses_Response_1_Data
  name: Data
  nameWithType: Response<T>.Data
  fullName: adas_core.Domain.Models.Responses.Response<T>.Data
  nameWithType.vb: Response(Of T).Data
  fullName.vb: adas_core.Domain.Models.Responses.Response(Of T).Data
- uid: adas_core.Domain.Models.Responses.Response`1.Succeeded*
  commentId: Overload:adas_core.Domain.Models.Responses.Response`1.Succeeded
  href: adas_core.Domain.Models.Responses.Response-1.html#adas_core_Domain_Models_Responses_Response_1_Succeeded
  name: Succeeded
  nameWithType: Response<T>.Succeeded
  fullName: adas_core.Domain.Models.Responses.Response<T>.Succeeded
  nameWithType.vb: Response(Of T).Succeeded
  fullName.vb: adas_core.Domain.Models.Responses.Response(Of T).Succeeded
- uid: System.Nullable{System.Boolean}
  commentId: T:System.Nullable{System.Boolean}
  parent: System
  definition: System.Nullable`1
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool?
  nameWithType: bool?
  fullName: bool?
  nameWithType.vb: Boolean?
  fullName.vb: Boolean?
  name.vb: Boolean?
  spec.csharp:
  - uid: System.Boolean
    name: bool
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.boolean
  - name: '?'
  spec.vb:
  - uid: System.Boolean
    name: Boolean
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.boolean
  - name: '?'
- uid: System.Nullable`1
  commentId: T:System.Nullable`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  name: Nullable<T>
  nameWithType: Nullable<T>
  fullName: System.Nullable<T>
  nameWithType.vb: Nullable(Of T)
  fullName.vb: System.Nullable(Of T)
  name.vb: Nullable(Of T)
  spec.csharp:
  - uid: System.Nullable`1
    name: Nullable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Nullable`1
    name: Nullable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: adas_core.Domain.Models.Responses.Response`1.Errors*
  commentId: Overload:adas_core.Domain.Models.Responses.Response`1.Errors
  href: adas_core.Domain.Models.Responses.Response-1.html#adas_core_Domain_Models_Responses_Response_1_Errors
  name: Errors
  nameWithType: Response<T>.Errors
  fullName: adas_core.Domain.Models.Responses.Response<T>.Errors
  nameWithType.vb: Response(Of T).Errors
  fullName.vb: adas_core.Domain.Models.Responses.Response(Of T).Errors
- uid: System.String[]
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string[]
  nameWithType: string[]
  fullName: string[]
  nameWithType.vb: String()
  fullName.vb: String()
  name.vb: String()
  spec.csharp:
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: '['
  - name: ']'
  spec.vb:
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: (
  - name: )
- uid: adas_core.Domain.Models.Responses.Response`1.Message*
  commentId: Overload:adas_core.Domain.Models.Responses.Response`1.Message
  href: adas_core.Domain.Models.Responses.Response-1.html#adas_core_Domain_Models_Responses_Response_1_Message
  name: Message
  nameWithType: Response<T>.Message
  fullName: adas_core.Domain.Models.Responses.Response<T>.Message
  nameWithType.vb: Response(Of T).Message
  fullName.vb: adas_core.Domain.Models.Responses.Response(Of T).Message
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
